List people
GET
/console/users
const url = 'https://example.com/console/users?limit=50';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/console/users?limit=50' \ --cookie bottle.session_token=<bottle.session_token>Every account on Bottle, or those whose name or email matches q.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
limit
integer
Responses
Section titled “Responses”People
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
email
required
string
name
required
string
emailVerified
required
boolean
twoFactorEnabled
required
boolean
createdAt
required
string format: date-time
lockedAt
required
string | null format: date-time
lockedReason
required
string | null
staffRole
required
string | null
memberships
required
Array<object>
object
tenantId
required
UUID v7
string format: uuid
tenantName
required
string
role
required
Owner: billing, deleting the tenant, full control of members. admin: all operational work and may manage drivers and admins. driver: their own round only.
string
total
required
integer
Example
{ "items": [ { "staffRole": "support", "memberships": [ { "tenantId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "role": "owner" } ] } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, no two-step sign-in, or a console role too low for this
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}